### Method

# Ide GreeterWorkspace begin

#### Declaration

    void
    ide_greeter_workspace_begin (
      IdeGreeterWorkspace* self
    )

#### Description

This function will disable various actions and should be called before an `IdeGreeterAddin` begins doing work that cannot be undone except to cancel the operation.

Actions such as switching guides will be disabled during this process.

See `ide_greeter_workspace_end()` to restore actions.

Available since: | 3.32